AnsweredAssumed Answered

QT5.3.2 for imx6q compile error

Question asked by yuantian tang on May 27, 2015
Latest reply on May 31, 2015 by yuantian tang

environment: QT 5.3.2,

LTIB: L3.0.35_4.1.0_130816_source

 

I can successfully compile QT5.3.2: qt-everywhere-opensource-src-5.3.2 by following the steps mentioned in:

Adeneo Embedded: Building Qt 5.1 for Freescale i.MX6 – A white paper by Cuong Chou .

But I also need QTMultimedia module with a gstreamer as backend.

When I start to build QTMultimedia, I run into error as follows:

make[3]: Entering directory `/home/tyt/project/multimedia/src/plugins/videonode'

cd imx6/ && ( test -e Makefile || /home/tyt/project/build/bin/qmake /home/tyt/project/qt-everywhere-opensource-src-5.3.2/qtmultimedia/src/plugins/videonode/imx6/imx6.pro -o Makefile ) && make -f Makefile

Project ERROR: Unknown module(s) in QT: qtmultimediaquicktools-private

make[3]: *** [sub-imx6-make_first] Error 3

 

The commands I used are:

1. qmake -o Makefile ../qt-everywhere-opensource-src-5.3.2/qtmultimedia/qtmultimedia.pro

Info: creating cache file /home/tyt/project/multimedia/.qmake.cache

Checking for openal... no

Checking for alsa... yes

Checking for pulseaudio... no

Checking for gstreamer... yes

Checking for gstreamer_photography... no

Checking for gstreamer_encodingprofiles... yes

Checking for gstreamer_appsrc... yes

Checking for linux_v4l... yes

Checking for resourcepolicy... no

Checking for gpu_vivante... yes

2. make

 

Could somebody help me on this?

Thanks in advance

Outcomes